search
======

.. automodule:: translate.search
   :show-inheritance:


indexing
--------

.. automodule:: translate.search.indexing
   :show-inheritance:


CommonIndexer
~~~~~~~~~~~~~

.. automodule:: translate.search.indexing.CommonIndexer
   :members:
   :inherited-members:


PyLuceneIndexer
~~~~~~~~~~~~~~~

.. automodule:: translate.search.indexing.PyLuceneIndexer
   :members:
   :inherited-members:


XapianIndexer
~~~~~~~~~~~~~

.. automodule:: translate.search.indexing.XapianIndexer
   :members:
   :inherited-members:


lshtein
-------

.. automodule:: translate.search.lshtein
   :members:
   :inherited-members:


match
-----

.. automodule:: translate.search.match
   :members:
   :inherited-members:


segment
-------

.. automodule:: translate.search.segment
   :members:
   :inherited-members:


terminology
-----------

.. automodule:: translate.search.terminology
   :members:
   :inherited-members:
